#!/bin/bash

# Number of iterations
count=10

# Screen dimensions (example: 1080x1920)
width=1080
height=1920

# Calculate center
center_x=$((width / 2))
center_y=$((height / 2))

# Loop to execute the command
for i in $(seq 1 $count)
do
  # Simulate the tap at the center of the screen
  adb shell input tap $center_x $center_y

  # Wait for 1 second before the next iteration
  sleep 1
done
